// JavaScript Document

function  reg_check()
      {
              
			   if (document.form1.ip.value.length==0)
			   {
				   alert("[软件提示]：请输入服务器IP地址.如果是本机，则为 127.0.0.1 ");
				   document.form1.ip.focus();
				   return false;
			   }
			   
			   if (document.form1.databasename.value.length==0)
			   {
				   alert("[软件提示]：请输入数据库名,默认是 netexam ");
				   document.form1.databasename.focus();
				   return false;
			   }
			   
			   if (document.form1.username.value.length==0)
			   {
				  alert("[软件提示]：请输入用户名,默认是 root ");
				   document.form1.username.focus();
				   return false;
			   }
			   if (document.form1.password.value.length==0)
			   {
				  alert("[软件提示]：请输入密码,默认是 root ");
				   document.form1.password.focus();
				   return false;
			   }
			   			 
               else  
               {
                   //alert("^-^ OK");
				   document.form1.action='user_normal_reg2.php';
				   document.form1.submit();
               }
			   
			   
       
        }
		
function  reg_check2()
      {
              
			   if (document.form1.user_machine_code.value.length==0)
			   {
				   alert("[软件提示]：请填入机器码，自动计算，请按F5刷新.");
				   document.form1.user_machine_code.focus();
				   return false;
			   }
			   
			   if (document.form1.user_reg_code.value.length==0)
			   {
				  alert("[软件提示]：请输入您收到的注册码.");
				   document.form1.user_reg_code.focus();
				   return false;
			   }
			   
			   if (document.form1.address.value.length==0)
			   {
				   alert("[软件提示]：请输入您的单位名称或者通讯地址.");
				   document.form1.address.focus();
				   return false;
			   }
			  
			   			 
               else  
               {
                   //alert("^-^ OK");
				   document.form1.action='user_reg_process.php';
				   document.form1.submit();
               }
			   
			   
       
        }
		
function  reg_check22()
      {
              
			   if (document.form1.ip.value.length==0)
			   {
				   alert("[软件提示]：请输入服务器IP地址.如果是本机，则为 127.0.0.1 ");
				   document.form1.ip.focus();
				   return false;
			   }
			   
			   if (document.form1.databasename.value.length==0)
			   {
				   alert("[软件提示]：请输入数据库名,默认是 netexam ");
				   document.form1.databasename.focus();
				   return false;
			   }
			   
			   if (document.form1.username.value.length==0)
			   {
				  alert("[软件提示]：请输入用户名,默认是 root ");
				   document.form1.username.focus();
				   return false;
			   }
			   if (document.form1.password.value.length==0)
			   {
				  alert("[软件提示]：请输入密码,默认是 root ");
				   document.form1.password.focus();
				   return false;
			   }
			   			 
               else  
               {
                   //alert("^-^ OK");
				   document.form1.action='user_normal_reg22.php';
				   document.form1.submit();
               }
			   
			   
       
        }